{% extends "/admin/master.twig" %}

{% block title %}Dashboard - Comments{% endblock %}
{% block description %}Manage comments{% endblock %}

{% block header %}
    <script src="{{ asset('assets/js/list.min.js') }}"></script>
{% endblock %}

{% block body %}

    <div class="ui comments">
        {% if comments is empty %}
            <div class="ui negative message">
                <i class="close icon"></i>
                <div class="header">
                    It's empty!
                </div>
                <p>Either the users have been behaving, or noone bothers reporting ¯\_(ツ)_/¯ </p>
            </div>
        {% endif %}

        {% if message is not empty %}
            <div class="ui timed success message">
                <i class="close icon"></i>
                <div class="header">
                    Success!
                </div>
                {{ message }}
            </div>
        {% endif %}

        {% for comment in comments %}
            <div class="comment">
                <a class="avatar">
                    <img src="{{ comment.author_avatar }}">
                </a>
                <div class="content">
                    <a class="author">{{ comment.author }} ({{ comment.author_role }})</a>
                    <div class="metadata">
                        <span class="date">{{ comment.date }}</span>
                        <span>Reported by {{ comment.reporter }} ({{ comment.reporter_role }})</span>
                    </div>
                    <div class="text">
                        {{ comment.body }}
                    </div>
                    <div class="actions">
                        <a class="delete-btn" href="?del={{ comment.id }}&t={{ token }}">
                            <i class="trash icon"></i>
                            Delete
                        </a>
                        <a class="approve-btn" href="?approve={{ comment.id }}&t={{ token }}">
                            <i class="check circle outline icon"></i>
                            Approve
                        </a>
                    </div>
                </div>
            </div>
        {% endfor %}

    </div>

    <script>
        var list_options = {
            valueNames: ['s-name', 's-id', 's-role']
        };

        var userList = new List('users', list_options);
    </script>

{% endblock %}
